Authentication
Get all available OAuth providers
Returns a list of all supported OAuth providers with their configuration details
GET
/api/auth/oauth/providers/availableSDK setup
Create a client instance. No authentication is required for this endpoint.
import { Configuration, AuthenticationApi } from 'mudbase-sdk';
const configuration = new Configuration({
basePath: 'https://cloud.mudbase.dev',
});
const authentication = new AuthenticationApi(configuration);import { Configuration, AuthenticationApi } from 'mudbase-sdk';
const configuration = new Configuration({
basePath: 'https://cloud.mudbase.dev',
});
const authentication = new AuthenticationApi(configuration);Example request
Call this endpoint using the client from SDK setup. Use View HTTP for a raw cURL example.
const { data: result } = await authentication.getAvailableOAuthProviders();const { data: result } = await authentication.getAvailableOAuthProviders();Playground
liveTest this endpoint with your own credentials. Your requests will be sent to the live API.
No Request Yet
Send a request to see the full inspector
Authentication
Public — No Auth Required
Responses
200List of available OAuth providers
json
{
"providers": [
{
"name": "google",
"displayName": "Google",
"strategy": "google",
"defaultScope": [
"profile",
"email"
],
"callbackUrl": "/api/auth/oauth/callback/google",
"requiredFields": [
"clientId",
"clientSecret"
]
},
{
"name": "github",
"displayName": "GitHub",
"strategy": "github",
"defaultScope": [
"user:email"
],
"callbackUrl": "/api/auth/oauth/callback/github",
"requiredFields": [
"clientId",
"clientSecret"
]
}
],
"total": 29
}{
"providers": [
{
"name": "google",
"displayName": "Google",
"strategy": "google",
"defaultScope": [
"profile",
"email"
],
"callbackUrl": "/api/auth/oauth/callback/google",
"requiredFields": [
"clientId",
"clientSecret"
]
},
{
"name": "github",
"displayName": "GitHub",
"strategy": "github",
"defaultScope": [
"user:email"
],
"callbackUrl": "/api/auth/oauth/callback/github",
"requiredFields": [
"clientId",
"clientSecret"
]
}
],
"total": 29
}